Update Plan Virtual Machine Ip Customization

Update Plan Virtual Machine Ip Customization

Update the IP customization for a protected virtual machine.

Request
URI
POST
https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings/ip-customization/actions/update
COPY
Path Parameters
string
pairing_id
Required

The ID of a pairing between this Site Recovery Manager server and remote one

string
plan_id
Required

The ID of a recovery plan defined within current pairing

string
vm_id
Required

The ID of a virtual machine


Request Body

A spec describing the VM IP customization settings.

Show optional properties

{
    "ip_customization_type": "string"
}
{
    "ip_customization_type": "string",
    "nic_settings": [
        {
            "device_id": 0,
            "primary_ip_settings": {
                "ip_v4": {
                    "ip_address": "string",
                    "type": "string",
                    "default_gateway": "string",
                    "alternate_gateway": "string",
                    "subnet_mask": "255.255.255.0"
                },
                "ip_v6": {
                    "ip_address": "fdda:5cc1:23:4::1f",
                    "type": "string",
                    "default_gateway": "string",
                    "alternate_gateway": "string",
                    "subnet_prefix_length": 0
                },
                "dns": {
                    "type": "string",
                    "preferred_server": "string",
                    "alternate_server": "string",
                    "suffixes": [
                        "string"
                    ]
                },
                "wins": {
                    "primary_server": "string",
                    "alternate_server": "string"
                }
            },
            "secondary_ip_settings": {
                "ip_v4": {
                    "ip_address": "string",
                    "type": "string",
                    "default_gateway": "string",
                    "alternate_gateway": "string",
                    "subnet_mask": "255.255.255.0"
                },
                "ip_v6": {
                    "ip_address": "fdda:5cc1:23:4::1f",
                    "type": "string",
                    "default_gateway": "string",
                    "alternate_gateway": "string",
                    "subnet_prefix_length": 0
                },
                "dns": {
                    "type": "string",
                    "preferred_server": "string",
                    "alternate_server": "string",
                    "suffixes": [
                        "string"
                    ]
                },
                "wins": {
                    "primary_server": "string",
                    "alternate_server": "string"
                }
            }
        }
    ]
}
string
ip_customization_type
Required

IP customization modes:

  • Auto (AUTO)
    • If the advanced setting 'recovery.useIpMapperAutomatically' is set to True - Site Recovery Manager evaluates the IP subnet mapping rules during recovery to customize the virtual machines.
    • If the advanced setting 'recovery.useIpMapperAutomatically' is set to False - Site Recovery Manager does not evaluate the IP subnet mapping rules during recovery.
  • Use IP customization rules if applicable (NETWORK_LEVEL)
    • Site Recovery Manager will evaluate the IP subnet mapping rules during recovery of the concrete VM regardless of the advanced setting value of recovery.useIpMapperAutomatically.
  • Manual IP customization (MANUAL)
    • Manually set up explicit recovery IP settings per VM.
  • No IP customization (NO_CUSTOMIZATION)
    • Do not change VM IP settings during recovery.

Possible values are : AUTO, NETWORK_MAPPING_LEVEL, MANUAL, NO_CUSTOMIZATION,
array of object
nic_settings
Optional

Contains the IP settings for all the virtual ethernet cards on the VM

Authentication
This operation uses the following authentication methods.
Responses
202

A task to monitor the operation progress.

Returns TaskDrResponseEntity of type(s) application/json
This response body class contains all of the following: InlineTaskDrResponseEntity0 , InlineTaskDrResponseEntity1
"TaskDrResponseEntity Object"

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: */*' -d '{"ip_customization_type:"string"}' https://{api_host}/pairings/{pairing_id}/recovery-management/plans/{plan_id}/vms/{vm_id}/recovery-settings/ip-customization/actions/update